
package de.ivu.elect.presentation.kandidatur.action;

import de.ivu.elect.business.kandidatur.entity.Ersatzkandidatur;
import de.ivu.elect.business.kandidatur.entity.KandidaturStatus;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.wahl.CurrentWahlZulassungspruefungExtended;

public class ErsatzkandidaturZulassungAblehnenAction extends AbstractErsatzkandidaturZulassungAction {

  private static final long serialVersionUID = 1L;

  public ErsatzkandidaturZulassungAblehnenAction() {
    super();
  }

  @Override
  protected UseCasePermission getRequiredPermission() {
    return UseCasePermission.WAHLVORSCHLAG_QS_ZULASSUNG_ABLEHNEN;
  }

  @Override
  public boolean isDisabledInternal(Ersatzkandidatur ersatzkandidatur, CurrentWahlZulassungspruefungExtended currentWahlZulassungspruefung) {
    return !currentWahlZulassungspruefung.isZulassungAblehnenZulaessig(ersatzkandidatur);
  }

  @Override
  protected KandidaturStatus getKandidaturStatus() {
    return KandidaturStatus.NICHT_ZUGELASSEN;
  }

  @Override
  public String getLabelKey() {
    return "ersatzkandidatur.search.action.nicht.zulassen";
  }
}
